/*
	ExternalInterface test code for GNU Flash Player
	Written (2015) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
	
	Released under Creative Commons Public Domain Dedication 1.0
	(https://creativecommons.org/publicdomain/zero/1.0/)
*/
import flash.external.*;

class MultiFlash2JS {
	public static function main(mc:MovieClip):Void {
		var i;
		
		if(!ExternalInterface.available) {
			trace("flash2js-multi: ExternalInterface is not available, aborted");
			return;
		}
		for(i = 1; i <= 20; i++) callJS(i);
	}
	
	private static function callJS(num:Number):Void {
		var retval;
		var expected = new Array(
			"one", "two", "three", "four", "five", "six", "seven", "eight", "nine", "ten",
			"eleven", "twelve", "thirteen", "fourteen", "fifteen", "sixteen", "seventeen", "eighteen", "nineteen", "twenty"
		);
		
		try {
			retval = ExternalInterface.call("flash_call", num);
			if(retval == expected[num - 1]) {
				trace("flash2js-multi: " + num + ": OK: JavaScript function correctly returned \"" + retval + "\"");
			} else {
				trace("flash2js-multi: " + num + ": failed: expected return value \"" + expected[num - 1] + "\" got \"" + retval + "\"");
			}
		} catch(e) {
			trace("flash2js-multi: " + num + ": error occured: " + e);
		}
	}
}
